@import 'settings';
@import 'mixins';
@import 'typography';


.BlogIndex {
    position: relative;
    padding: 80px 30px 40px 30px;

    &__post {
        padding: 15px 0;
        border-top: solid 1px $gray-400;

        &:first-child {
            border-top-color: $gray-800;
        }

        h1,
        h2,
        h3,
        h4,
        h5 {
            margin-bottom: $paragraph-margin-bottom;
        }
    }

    &__post-header {
        > * {
            display: block;
            white-space: nowrap;
        }

        .read-more {
            @include small-nav-type;
        }
    }

    &__post-footer {
        @include small-nav-type;
        margin-bottom: 15px;
        text-align: right;

        a {
            text-align: right;

            &:not(:last-child) {
                padding-right: 10px;
            }
        }
    }

    &__load-more {
        text-align: center;
    }

    @media #{$mobile-only} {
        &__post {
            text-align: center;
        }

        &__post-footer {
            @include small-type;
        }
    }

    @media #{$tablet-wide} {
        padding-top: 90px;

        &__posts {
            max-width: calc(100% - 250px);
        }

        &__post {
            display: flex;
            padding: 20px 0 60px 0;
        }

        &__post-header {
            @include small-type;
            flex-grow: 2;
            padding-right: 50px;
            min-width: 134px;
        }

        &__post-footer {
            a:not(:last-child) {
                padding-right: 25px;
            }
        }

        &__post-body {
            flex-grow: 2;
            width: 680px;
        }

        &__content-item {
            img {
                max-width: 100%;
                height: auto;
            }
        }


        &__load-more {
            display: flex;
            margin-bottom: 60px;

            &__spacer {
                display: block;
                flex-grow: 2;
                min-width: 134px;
                height: 10px;
            }

            &__button {
                width: 680px;
                flex-grow: 1;
            }
        }
    }

    @media (min-width: 1200px) {
        &__posts {
            max-width: calc(100% - 310px);
        }

        &__post-body {
            max-width: 680px;
        }
    }
}
